Skip to content
Start here

Model Search

ai.models.list(ModelListParams**kwargs) -> SyncV4PagePaginationArray[object]
GET/accounts/{account_id}/ai/models/search

Searches Workers AI models by name or description.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Workers AI WriteWorkers AI Read
ParametersExpand Collapse
account_id: str
author: Optional[str]

Filter by Author

hide_experimental: Optional[bool]

Filter to hide experimental models

page: Optional[int]
per_page: Optional[int]
source: Optional[float]

Filter by Source Id

task: Optional[str]

Filter by Task Name

ReturnsExpand Collapse
object

Model Search

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
page = client.ai.models.list(
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
page = page.result[0]
print(page)
{
  "errors": [
    {}
  ],
  "messages": [
    "string"
  ],
  "result": [
    {}
  ],
  "success": true
}
Returns Examples
{
  "errors": [
    {}
  ],
  "messages": [
    "string"
  ],
  "result": [
    {}
  ],
  "success": true
}